// @todo Refactor with css grid
.front {
  .navbar-second {
    background: transparent;
  }

  .region-content {
    section {
      margin-top: @padding-large-horizontal;

      &:first-child {
        margin-top: 0;
      }
    }
  }

  .jumbotron {
    .gradient-image("../img/front-bg.svg", @brand-primary, #71afdc); // @todo Replace with cheerful image
    background-position: center 101%;
    background-repeat: repeat-x;
    color: @navbar-default-link-color;
    margin-bottom: 0;
    padding-top: @jumbotron-padding * 2;
    padding-bottom: @jumbotron-padding * 2;
    position: relative;
    z-index: 2;

    .download-drupal-front {
      color: #e2b674;

      &:hover, &:focus {
        color: lighten(#e2b674, @tone);
        text-decoration: none;
      }

      i {
        .text-shadow(0 0 80px);
      }
    }

    p {
      font-weight: 300;
      font-size: @font-size-base;

      @media @very-smalld {
        font-size: @font-size-h2;
      }
    }
  }
}

// @todo Refactor page /events and /events/past
.page-events {
  @timeline-width: 96px;
  @point-size: 13px;

  @media @tablet {
    #block-system-main {
      padding-left: @grid-gutter-width*2;
      margin-left: @timeline-width;
      border-left: 1px solid @brand-info;
    }

    .event-date {
      position: absolute;
      left: -(@timeline-width + (2.5 * @grid-gutter-width) - (.5 * @well-padding-lg-horizontal) + (.5 * @point-size) - 1px);
      line-height: 1.3em;
      font-size: 0.5em;
      color: @brand-accent;

      &:after {
        display: block;
        content: '';
        position: absolute;
        width: @point-size;
        height: @point-size;
        border-radius: 50%;
        border: 1px solid;
        right: -35px;
        top: .3em;
        background: @body-bg;
      }
    }
  }
}
